body {
    font-family: Arial, sans-serif;
    background-color: #000000;
    color: white;
    margin: 0;
    background-image: url(/lp-streaming/public/imagens/backgroundFilmE.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
}

.header {
    display: flex;
    height: 100px;
    align-items: center;
    justify-content: center;
    font: bold calc(1em + 2 * (100vw - 100px) / 100) 'Dancing Script', fantasy;
    text-shadow: rgb(0, 0, 0) 2px 2px 1rem;
    letter-spacing: 1px;
}

.title-container {
    display: flex;
    align-items: center;
}

.mascote {
    height: 100px;
    width: auto;
    margin-right: 10px;
}

#title {
    color: red;
    font-size: 2.5em;
    animation: changeColor 0.7s infinite;
}

@keyframes changeColor {
    0% { color: rgb(212, 0, 255); }
    25% { color: rgb(229, 255, 0); }
    50% { color: rgb(255, 123, 0); }
    100% { color: rgb(0, 255, 42); }
}

@-webkit-keyframes changeColor {
    0% { color: rgb(212, 0, 255); }
    25% { color: rgb(229, 255, 0); }
    50% { color: rgb(255, 123, 0); }
    100% { color: rgb(0, 255, 42); }
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 20px;
}

.box {
    background-color: rgba(255, 255, 255, 0.1);
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 20px;
    width: 300px;
    margin: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
    text-align: center;
}

.box h2 {
    margin-top: 0;
}

.link {
    display: inline-block;
    margin-top: 10px;
    text-decoration: none;
    color: #ff0000;
    transition: color 0.3s;
    font: calc(1em + 2 * (25vw - 100px) / 100) 'Dancing Script', fantasy;
    text-shadow: rgb(0, 0, 0) 2px 2px 1rem;
}

.link:hover {
    text-decoration: underline;
    color: #ff0000;
}

footer {
    color: white;
    text-align: center;
    padding: 20px 0;
    position: relative;
    bottom: 0;
    width: 100%;
}

.footer-content {
    max-width: 1200px;
    margin: 0 auto;
}